Skip to content
GAMPEONCreate
New project

Add a YouTube video to the gallery

POST
/v1/projects/{slug}/gallery/videos
curl --request POST \
--url https://api.gampeon.com/v1/projects/example/gallery/videos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "url": "example", "caption": "example" }'

Everyone who can edit the project (owner, or owners and admins of its studio). Links like https://www.youtube.com/watch?v=…, https://youtu.be/… or Shorts. The portal loads the video from youtube-nocookie.com only after a click.

Not available with access tokens.

Rate limit: 30 per hour per account.

slug
required
string
/^[a-z0-9][a-z0-9-]{1,30}[a-z0-9]$/

Project slug

Media typeapplication/json
object
url
required

YouTube link

string
<= 300 characters
caption
string
<= 140 characters

Example generated

{
"url": "example",
"caption": "example"
}

Added at the end of the gallery

Media typeapplication/json
One of:
object
id
required
string
type
required
Allowed value: image
url
required
One of:

Image path (/v1/media/…). null only for the team when moderation removed the image

string
width
required
integer
height
required
integer
caption
required
string
removed

Only for the team: removed by moderation

boolean

Example

{
"type": "image"
}

Error codes: invalid_field

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: unauthorized

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: token_not_allowed, forbidden, project_hidden

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: not_found

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: gallery_full, video_exists

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: unsupported_video_url

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Limit: 30 per hour per account. Error codes: rate_limited

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Report a problem with this pageOther ways to give feedback